/**
 * Copyright (C) 2002
 */

package org.objectweb.util.monolog.wrapper.common;

import org.objectweb.util.monolog.api.LoggerFactory;

/**
 * This static class is only used to reference one LoggerFactory instance.
 *
 * @author Sebastien Chassande-Barrioz
 */
public class LoggerFactorySingleton {

	static private LoggerFactory lf = null;

	static public LoggerFactory getLoggerFactory(String classname)
		throws ClassNotFoundException, InstantiationException,
		IllegalAccessException {

		if (lf == null) {
			lf = (LoggerFactory) Class.forName(classname).newInstance();
		}
		return lf;
	}
}
