/**
 *
 */

package org.objectweb.util.monolog.wrapper.javaLog ;

import org.objectweb.util.monolog.api.BasicLevel;
import org.objectweb.util.monolog.api.Level;
import org.objectweb.util.monolog.api.LevelFactory;

public class LevelImpl 
	extends org.objectweb.util.monolog.wrapper.common.LevelImpl {
	

	/**
	 * Level => java.util.logging.Level
	 */
	static public java.util.logging.Level convertLevel(Level l) {
		return int2Level(l.getIntValue());
	}
	
	static public java.util.logging.Level int2Level(int value) {
		if ( value>=BasicLevel.FATAL ) {
			return java.util.logging.Level.SEVERE;
		
		} else if ( value>=BasicLevel.ERROR ) {
			return java.util.logging.Level.SEVERE;
		
		} else if ( value>=BasicLevel.WARN ) {
			return java.util.logging.Level.FINE;
		
		} else if ( value>=BasicLevel.INFO ) {
			return java.util.logging.Level.INFO;
		
		} else if ( value>=BasicLevel.DEBUG ) {
			return java.util.logging.Level.FINEST;

		} else {
			return java.util.logging.Level.FINEST;
		}
	}
	
	/**
	 * int => org.objectweb.util.monolog.api.Level
	 */
	static public Level getLevel(int value) {
		if ( value>=BasicLevel.FATAL ) {
			return BasicLevel.LEVEL_FATAL;
		
		} else if ( value>=BasicLevel.ERROR ) {
			return BasicLevel.LEVEL_ERROR;
		
		} else if ( value>=BasicLevel.WARN ) {
			return BasicLevel.LEVEL_WARN;
		
		} else if ( value>=BasicLevel.INFO ) {
			return BasicLevel.LEVEL_INFO;
		
		} else if ( value>=BasicLevel.DEBUG ) {
			return BasicLevel.LEVEL_DEBUG;

		} else {
			return BasicLevel.LEVEL_DEBUG;
		}
	}

    public LevelImpl(String n, int val) {
        super(n, val);
    }

    public LevelImpl(String n, String val, LevelFactory lf) {
        super(n, val, lf);
    }
}
