/**
 * @Contributors:<A HREF="mailto:sebastien.chassande@inrialpes.fr><b>S. Chassande-Barrioz</b></A>
 */

package org.objectweb.util.monolog.wrapper.log4j;

import org.apache.log4j.Priority;
import org.objectweb.util.monolog.api.BasicLevel;
import org.objectweb.util.monolog.api.Level;
import org.objectweb.util.monolog.api.LevelFactory;

/**
 * This extension of the common LevelImpl provides conversion method for the
 * monolog levels to the log4j levels.
 */
public class LevelImpl
	extends org.objectweb.util.monolog.wrapper.common.LevelImpl {

	static public Priority convertLevel(
		org.objectweb.util.monolog.api.Level l) {
		return Priority.toPriority(l.getIntValue());
	}

	static public Level getLevel(int value) {
		if (value >= BasicLevel.FATAL) {
			return BasicLevel.LEVEL_FATAL;
		}
		else if (value >= BasicLevel.ERROR) {
			return BasicLevel.LEVEL_ERROR;
		}
		else if (value >= BasicLevel.WARN) {
			return BasicLevel.LEVEL_WARN;
		}
		else if (value >= BasicLevel.INFO) {
			return BasicLevel.LEVEL_INFO;
		}
		else if (value >= BasicLevel.DEBUG) {
			return BasicLevel.LEVEL_DEBUG;
		}
		else {
			return BasicLevel.LEVEL_DEBUG;
		}
	}

	public LevelImpl(String name, int val) {
		super(name, val);
	}

	public LevelImpl(String name, String val, LevelFactory lf) {
		super(name, val, lf);
	}

}
